Subject: Re: [PATCH iproute2 v3] bridge: Add master device name to bridge fdb show

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 08 Jun 2014 11:24:13 -0400

On 06/08/14 10:44, Roopa Prabhu wrote:

> sure, you seemed to be using my below patch in your examples for fdb
> filtering.
> so thought i should resubmit. I am now ok with either.

Yes, my patch is on top of your earlier (version 1) patch. I preferred
that version.

I looked at the code a little more after sending that email.
There is some value in displaying a bridge port's unicast addresses
and even setting them; but only in the case that the bridge port is
itself an owner of an fdb. As an example of such a case when you have
another bridge attached to a bridge as a port; or when you have
something like a vxlan as a bridge port etc.
However, current code does not discriminate. I cant make sense of
why this would be intentional but possibly i am missing some use cases.

cheers,
jamal